Bug 235313 - iret exception: 0000 [#1], Oops, Xorg crash, kernel-xen
iret exception: 0000 [#1], Oops, Xorg crash, kernel-xen
Status: CLOSED DUPLICATE of bug 234008
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Juan Quintela
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-04 21:26 EDT by Carl-Johan Kjellander
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 19:53:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl-Johan Kjellander 2007-04-04 21:26:18 EDT
Description of problem:
The kernel keeps oopsing and X restarts with the latest kernel-xen.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-1.2933.fc6.i686
xen-libs-3.0.3-8.fc6
xen-3.0.3-8.fc6
xorg-x11-server-Xorg-1.1.1-47.7.fc6
xorg-x11-drv-ati-6.6.3-1.fc6

How reproducible:
100%

Steps to Reproduce:
1. Boot kernel-xen-2.6.20-1.2933.fc6.i686
2. Start X
3. Wait
  
Actual results:
After a while X crashes, and the kernel Oopses

Expected results:
No oops, no X crash.

Additional info:
kernel-xen-2.6.19-1.2911.6.5.fc6 works just fine

4gb seg fixup, process beagled-helper (pid 5647), cs:ip 73:0811853f
printk: 375217 messages suppressed.
4gb seg fixup, process beagled-helper (pid 5647), cs:ip 73:0811846a
printk: 365536 messages suppressed.
4gb seg fixup, process beagled-helper (pid 5647), cs:ip 73:0811853f
iret exception: 0000 [#1]
SMP 
last sysfs file: /devices/pci0000:00/0000:00:08.0/irq
Modules linked in: bridge netloop netbk blktap blkbk autofs4 hidp nfs lockd
nfs_acl rfcomm l2cap bluetooth sunrpc nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter ip_tables
ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables x_tables radeon drm ipv6
dm_multipath video sbs i2c_ec dock button battery asus_acpi backlight ac lp
sd_mod sg snd_cmipci snd_emu10k1_synth snd_emux_synth snd_seq_virmidi
snd_seq_midi_emul floppy bt878 tuner snd_emu10k1 snd_ac97_codec ac97_bus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss
snd_pcm bttv snd_page_alloc snd_opl3_lib snd_util_mem snd_timer snd_mpu401_uart
sata_sil video_buf snd_rawmidi ir_common snd_hwdep snd_seq_device libata
amd76x_edac snd e100 i2c_amd756 compat_ioctl32 mii edac_mc scsi_mod emu10k1_gp
soundcore i2c_algo_bit amd_rng ide_cd gameport usblp btcx_risc tveeprom cdrom
i2c_core parport_pc parport videodev pcspkr v4l2_common v4l1_compat serial_core
dm_snapshot dm_zero dm_mirror dm_mod raid456 xor raid1 ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
CPU:    0
EIP:    0001:[<00000000>]    Not tainted VLI
EFLAGS: 00000001   (2.6.20-1.2933.fc6xen #1)
EIP is at 0x0
eax: 00000000   ebx: 00640402   ecx: 00000073   edx: 00000246
esi: bf8cd4f4   edi: 0000007b   ebp: 00000000   esp: e0dc701c
ds: 0000   es: 0000   ss: 0069
Process Xorg (pid: 5235, ti=e0dc6000 task=d25aceb0 task.ti=e0dc6000)
Stack: 00000001 000004b1 00000001 00000dca 00000001 00000dd5 00000001 00000de1 
       00000001 00000fc3 00000001 00000fd9 00000001 000010bb 00000001 000010ce 
       00000001 0000111b 00000001 000016f3 00000001 00001934 00000001 00001979 
Call Trace:
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000001
 printing eip:
c04055c2
163f7000 -> *pde = 00000000:0912c001
1572c000 -> *pme = 00000000:3b09b067
0b69b000 -> *pte = 00000000:00000000
Oops: 0000 [#2]
SMP 
last sysfs file: /devices/pci0000:00/0000:00:08.0/irq
Modules linked in: bridge netloop netbk blktap blkbk autofs4 hidp nfs lockd
nfs_acl rfcomm l2cap bluetooth sunrpc nf_conntrack_netbios_ns ipt_REJECT
nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter ip_tables
ip6t_REJECT xt_tcpudp ip6table_filter ip6_tables x_tables radeon drm ipv6
dm_multipath video sbs i2c_ec dock button battery asus_acpi backlight ac lp
sd_mod sg snd_cmipci snd_emu10k1_synth snd_emux_synth snd_seq_virmidi
snd_seq_midi_emul floppy bt878 tuner snd_emu10k1 snd_ac97_codec ac97_bus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss
snd_pcm bttv snd_page_alloc snd_opl3_lib snd_util_mem snd_timer snd_mpu401_uart
sata_sil video_buf snd_rawmidi ir_common snd_hwdep snd_seq_device libata
amd76x_edac snd e100 i2c_amd756 compat_ioctl32 mii edac_mc scsi_mod emu10k1_gp
soundcore i2c_algo_bit amd_rng ide_cd gameport usblp btcx_risc tveeprom cdrom
i2c_core parport_pc parport videodev pcspkr v4l2_common v4l1_compat serial_core
dm_snapshot dm_zero dm_mirror dm_mod raid456 xor raid1 ext3 jbd ehci_hcd
ohci_hcd uhci_hcd
CPU:    0
EIP:    0061:[<c04055c2>]    Not tainted VLI
EFLAGS: 00010093   (2.6.20-1.2933.fc6xen #1)
EIP is at dump_trace+0x5c/0x93
eax: 00000ffd   ebx: 00000001   ecx: 0001db3e   edx: 0101b600
esi: 6e65735f   edi: 00000000   ebp: c0693fce   esp: e0dc6e7c
ds: 007b   es: 007b   ss: 0069
Process Xorg (pid: 5235, ti=e0dc6000 task=d25aceb0 task.ti=e0dc6000)
Stack: c0693e8e c0693fce 00000018 00000000 c0693fce c0405611 c06e44e0 c0693fce 
       e0dc707f c04056c0 c0693fce c0693fce e0dc6fe4 e0dc701c 00000002 00000001 
       e0dc6fe4 e0dc701c c0405856 c0693fce 00000010 d25ad044 00001473 e0dc6000 
Call Trace:
 [<c0405611>] show_trace_log_lvl+0x18/0x2c
 [<c04056c0>] show_stack_log_lvl+0x9b/0xa3
 [<c0405856>] show_registers+0x18e/0x25d
 [<c0613405>] notifier_call_chain+0x19/0x29
 [<c0405a58>] die+0x133/0x22f
 [<c0406302>] do_iret_error+0xa7/0xb1
 [<c0404e92>] restore_nocheck_notrace+0x7/0xf
 [<c0404e94>] restore_nocheck_notrace+0x9/0xf
 [<c0404e99>] restore_nocheck_notrace+0xe/0xf
 [<c042c063>] search_exception_tables+0x14/0x25
 [<c04144ef>] fixup_exception+0xb/0x20
 [<c0611b45>] do_general_protection+0x11c/0x16f
 [<c04068d1>] do_IRQ+0xc6/0xdd
 [<c0611a29>] do_general_protection+0x0/0x16f
 [<c040625b>] do_iret_error+0x0/0xb1
 [<c061162d>] error_code+0x35/0x3c
 =======================
Code: 9a d4 01 00 00 89 df 81 e7 00 f0 ff ff eb 0e 8b 4c 24 18 89 f2 89 e8 ff 51
08 83 c3 04 39 fb 76 29 8d 87 fd 0f 00 00 39 c3 73 1f <8b> 33 89 f0 e8 61 6a 02
00 85 c0 74 e2 eb d5 8b 4f 34 85 c9 74 
EIP: [<c04055c2>] dump_trace+0x5c/0x93 SS:ESP 0069:e0dc6e7c
 <3>BUG: sleeping function called from invalid context at kernel/rwsem.c:20
in_atomic():0, irqs_disabled():1
 [<c043059a>] down_read+0x12/0x28
 [<c0438c0a>] acct_collect+0x38/0x13e
 [<c041fe2b>] do_exit+0x1b1/0x6f6
 [<c0405b2f>] die+0x20a/0x22f
 [<c061326f>] do_page_fault+0xab1/0xc2e
 [<c054adfc>] kcons_write_dom0+0x0/0x26
 [<c06114ff>] _spin_unlock_irqrestore+0x8/0x16
 [<c041d829>] release_console_sem+0x192/0x1d1
 [<c041de9a>] vprintk+0x2de/0x2e8
 [<c06127be>] do_page_fault+0x0/0xc2e
 [<c061162d>] error_code+0x35/0x3c
 [<c04055c2>] dump_trace+0x5c/0x93
 [<c0405611>] show_trace_log_lvl+0x18/0x2c
 [<c04056c0>] show_stack_log_lvl+0x9b/0xa3
 [<c0405856>] show_registers+0x18e/0x25d
 [<c0613405>] notifier_call_chain+0x19/0x29
 [<c0405a58>] die+0x133/0x22f
 [<c0406302>] do_iret_error+0xa7/0xb1
 [<c0404e92>] restore_nocheck_notrace+0x7/0xf
 [<c0404e94>] restore_nocheck_notrace+0x9/0xf
 [<c0404e99>] restore_nocheck_notrace+0xe/0xf
 [<c042c063>] search_exception_tables+0x14/0x25
 [<c04144ef>] fixup_exception+0xb/0x20
 [<c0611b45>] do_general_protection+0x11c/0x16f
 [<c04068d1>] do_IRQ+0xc6/0xdd
 [<c0611a29>] do_general_protection+0x0/0x16f
 [<c040625b>] do_iret_error+0x0/0xb1
 [<c061162d>] error_code+0x35/0x3c
 =======================

00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] System
Controller (rev 11)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] AGP Bridge
00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ISA (rev 04)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-768 [Opus] IDE (rev 04)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ACPI (rev 03)
00:08.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 0c)
00:09.0 USB Controller: NEC Corporation USB (rev 41)
00:09.1 USB Controller: NEC Corporation USB (rev 41)
00:09.2 USB Controller: NEC Corporation USB 2.0 (rev 02)
00:10.0 PCI bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] PCI (rev 04)
01:05.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 SE]
(rev 01)
02:04.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
02:05.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 02)
02:05.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 02)
02:06.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
02:06.1 Input device controller: Creative Labs SB Live! Game Port (rev 07)
02:08.0 Mass storage controller: Silicon Image, Inc. SiI 3512
[SATALink/SATARaid] Serial ATA Controller (rev 01)

Machine is an Asus-A7M266-D SMP Motherboard with Dual AthlonMP 1800+.

Sometimes X crashes even during the boot process.
Comment 1 Carl-Johan Kjellander 2007-04-05 19:44:40 EDT
I should add that X crashing happens within a minute, so the system
is totally unusable.
Comment 2 Carl-Johan Kjellander 2007-04-05 19:53:16 EDT

*** This bug has been marked as a duplicate of 234008 ***

Note You need to log in before you can comment on or make changes to this bug.